<form [formGroup]="stockPickerForm">
  <mat-form-field>
    <input
      matInput
      placeholder="Symbol e.g AAPL"
      formControlName="symbol"
      value=""
    />
    <mat-error
      ><span
        *ngIf="
          !stockPickerForm.get('symbol').valid &&
          stockPickerForm.get('symbol').touched
        "
        >Please enter a symbol</span
      >
    </mat-error>
  </mat-form-field>

  <mat-form-field>
    <mat-label>Favorite time period</mat-label>
    <mat-select formControlName="period">
      <mat-option
        *ngFor="let timePeriod of timePeriods"
        [value]="timePeriod.value"
      >
        {{ timePeriod.viewValue }}
      </mat-option>
    </mat-select>
  </mat-form-field>

  <!-- <button (click)="fetchQuote()" mat-raised-button>Go</button> -->
</form>

<coding-challenge-chart [data$]="quotes$"></coding-challenge-chart>
